libnova v 0.15.0

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Fields

Data Fields
ln_lnlat_posn Struct Reference

Ecliptical (or celestial) Longitude and Latitude. More...

## Data Fields
double | lng
double | lat

## Detailed Description

Ecliptical (or celestial) Longitude and Latitude.

The Ecliptical (or celestial) Latitude and Longitude of and object.

Angles are expressed in degrees. East is positive, West negative.

Examples:
  asteroid.c, comet.c, lunar.c, mars.c, sun.c, and transforms.c.

## Field Documentation

double ln_lnlat_posn::lat

latitude. Object latitude

Examples:
  mars.c.

Referenced by ln_get_body_rst_horizon(), ln_get_ecl_aber(), ln_get_ecl_from_equ(), ln_get_ecl_from_rect(), ln_get_equ_from_ecl(), ln_get_equ_from_hrz(), ln_get_hrz_from_equ_sidereal_time(), ln_get_lunar_ecl_coords(), ln_get_lunar_phase(), ln_get_solar_ecl_coords(), ln_get_solar_equ_coords(), ln_hlnlat_to_lnlat(), and ln_lnlat_to_hlnlat().

double ln_lnlat_posn::lng

longitude. Object longitude.

Referenced by ln_get_body_rst_horizon(), ln_get_ecl_aber(), ln_get_ecl_from_equ(), ln_get_ecl_from_rect(), ln_get_equ_from_ecl(), ln_get_equ_from_hrz(), ln_get_hrz_from_equ_sidereal_time(), ln_get_lunar_ecl_coords(), ln_get_lunar_phase(), ln_get_solar_ecl_coords(), ln_get_solar_equ_coords(), ln_hlnlat_to_lnlat(), and ln_lnlat_to_hlnlat().